## rstcheck 3.3.1

=== Makefile ===
default: check test


# These checkers are more obscure. So consider them optional. Only run them if
# they are installed.
CHECK_MANIFEST := $(shell command -v check-manifest 2> /dev/null)
SCSPELL := $(shell command -v scspell 2> /dev/null)


check:
	pycodestyle rstcheck.py setup.py
	python setup.py --long-description | ./rstcheck.py -
	./rstcheck.py README.rst
ifdef CHECK_MANIFEST
	$(CHECK_MANIFEST)
endif
ifdef SCSPELL
	$(SCSPELL) rstcheck.py setup.py README.rst
endif


test:
	./test_rstcheck.py
	time ./test.bash


readme:
	@restview --long-description --strict


.PHONY: check test readme

=== debian/changelog ===
rstcheck (3.3.1-6) unstable; urgency=medium

  * Fix d/watch to use tags, not releases on Github

 -- Timo Röhling <roehling@debian.org>  Tue, 26 Oct 2021 22:34:27 +0200

rstcheck (3.3.1-5) unstable; urgency=medium

  * Add gcc and g++ as autopkgtest depends

 -- Timo Röhling <roehling@debian.org>  Thu, 14 Oct 2021 01:02:30 +0200

rstcheck (3.3.1-4) unstable; urgency=medium

  * Backport upstream patches
    - Improve GCC calls
      Thanks to Jochen Sprickerhof
    - Close the multiprocessing.pool after use
  * Demote gcc and g++ to Recommends
    Thanks to Jochen Sprickerhof (again)

 -- Timo Röhling <roehling@debian.org>  Wed, 13 Oct 2021 11:18:46 +0200

rstcheck (3.3.1-3) unstable; urgency=medium

  * Source-only upload.
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 10 Oct 2021 18:39:57 +0200

rstcheck (3.3.1-2) unstable; urgency=medium

  * Fix d/copyright

 -- Timo Röhling <roehling@debian.org>  Tue, 31 Aug 2021 17:18:01 +0200

rstcheck (3.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #985365)

 -- Timo Röhling <roehling@debian.org>  Sat, 12 Jun 2021 10:21:48 +0200

=== debian/control ===
Source: rstcheck
Section: text
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-docutils,
 python3-setuptools
Homepage: https://github.com/myint/rstcheck
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/rstcheck.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/rstcheck

Package: rstcheck
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: gcc, g++
Suggests: python3-sphinx
Description: Validator for reStructuredText documents with code blocks
 rstcheck validates the syntax of reStructuredText documents. Unlike other
 validators, it will also verify syntax correctness in nested code blocks
 for a variety of languages:
 .
   * Bash shell scripts
   * Doctest
   * C (C99)
   * C++ (C++11)
   * JSON
   * XML
   * Python
   * reStructuredText
 .
 rstcheck can also validate Sphinx documentation files if Sphinx is installed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=rstcheck
export PYBUILD_DESTDIR = debian/rstcheck
export PYBUILD_INSTALL_ARGS = --install-lib=/usr/share/rstcheck

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	mv debian/rstcheck/usr/bin/rstcheck debian/rstcheck/usr/share/rstcheck/run

override_dh_auto_test:
	./test.bash

execute_before_dh_installman: debian/rstcheck.1
	true

%.1: %.1.in
	sed -e 's/@VERSION@/$(DEB_VERSION_UPSTREAM)/g' $< > $@

=== debian/tests/control ===
Tests: run-test-suite
Depends: @, gcc, g++
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
     https://github.com/myint/rstcheck/tags .*/v?(\d+\S+)\.tar\.gz

## rstcheck 6.1.0+~1.0.2

=== debian/changelog ===
rstcheck (6.1.0+~1.0.2-1) unstable; urgency=medium

  * New upstream version 6.1.0+~1.0.2

 -- Timo Röhling <roehling@debian.org>  Thu, 18 Aug 2022 19:18:22 +0200

rstcheck (6.0.0.post1+~1.0.2-2) unstable; urgency=medium

  * Add missing dependencies

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Jul 2022 14:57:20 +0200

rstcheck (6.0.0.post1+~1.0.2-1) unstable; urgency=medium

  * Update d/watch to handle pre-releases
  * Update homepage to new Github location
  * Bump Standards-Version to 4.6.1
  * Add new rstcheck-core module to d/watch
  * New upstream version 6.0.0.post1+~1.0.2

 -- Timo Röhling <roehling@debian.org>  Thu, 30 Jun 2022 21:44:02 +0200

rstcheck (5.0.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Timo Röhling <roehling@debian.org>  Wed, 20 Apr 2022 20:57:39 +0200

rstcheck (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0
  * Drop patches (all applied by upstream)
  * Split off new public module into python3-rstcheck

 -- Timo Röhling <roehling@debian.org>  Mon, 18 Apr 2022 23:22:36 +0200

rstcheck (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0

 -- Timo Röhling <roehling@debian.org>  Sat, 16 Apr 2022 02:14:51 +0200

rstcheck (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0

 -- Timo Röhling <roehling@debian.org>  Fri, 15 Apr 2022 11:59:47 +0200

rstcheck (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * Refresh patches.
    Drop 0003-Close-the-multiprocessing.pool-after-use.patch
    (applied upstream)

 -- Timo Röhling <roehling@debian.org>  Wed, 13 Apr 2022 00:39:13 +0200

=== debian/control ===
Source: rstcheck
Section: text
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-docutils,
 python3-poetry-core,
 python3-pydantic,
 python3-setuptools,
 python3-tomli,
 python3-typer,
 python3-typeshed,
 python3-typing-extensions,
Homepage: https://github.com/rstcheck
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/rstcheck.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/rstcheck
Description: Validator for reStructuredText documents with code blocks
 rstcheck validates the syntax of reStructuredText documents. Unlike other
 validators, it will also verify syntax correctness in nested code blocks
 for a variety of languages:
 .
   * Bash shell scripts
   * Doctest
   * C (C99)
   * C++ (C++11)
   * JSON
   * XML
   * Python
   * reStructuredText
 .
 rstcheck can also validate Sphinx documentation files if Sphinx is installed.

Package: rstcheck
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-rstcheck,
Description: ${source:Synopsis} (CLI tool)
 ${source:Extended-Description}
 .
 This package installs the CLI tool.

Package: python3-rstcheck
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-tomli,
Recommends: gcc, g++
Suggests: python3-sphinx
Description: ${source:Synopsis} (Python 3 module)
 ${source:Extended-Description}
 .
 This package installs the Python 3 module.

## rstcheck 6.1.1+~1.0.3

=== debian/changelog ===
rstcheck (6.1.1+~1.0.3-2) unstable; urgency=medium

  * Drop dependency on python3-tomli
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Wed, 01 Feb 2023 15:30:42 +0100

rstcheck (6.1.1+~1.0.3-1) unstable; urgency=medium

  * New upstream version 6.1.1+~1.0.3

 -- Timo Röhling <roehling@debian.org>  Mon, 14 Nov 2022 17:50:10 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,11 @@
  python3-poetry-core,
  python3-pydantic,
  python3-setuptools,
- python3-tomli,
  python3-typer,
  python3-typeshed,
  python3-typing-extensions,
 Homepage: https://github.com/rstcheck
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/rstcheck.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rstcheck
@@ -54,7 +53,6 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-tomli,
 Recommends: gcc, g++
 Suggests: python3-sphinx
 Description: ${source:Synopsis} (Python 3 module)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_BEFORE_BUILD = rm -rf {build_dir}

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_configure \
override_dh_auto_build \
override_dh_auto_install: override_%:
	$* --buildsystem=pybuild --sourcedirectory=core
	$* --buildsystem=pybuild --sourcedirectory=.

execute_before_dh_installman: debian/rstcheck.1
	true

%.1: %.1.in
	sed -e 's/@VERSION@/$(DEB_VERSION_UPSTREAM)/g' $< > $@

## rstcheck 6.1.2+~1.0.3

=== debian/changelog ===
rstcheck (6.1.2+~1.0.3-2) unstable; urgency=medium

  * Fix FTBFS with dh-python 6 (Closes: #1043010)

 -- Timo Röhling <roehling@debian.org>  Fri, 04 Aug 2023 14:47:44 +0200

rstcheck (6.1.2+~1.0.3-1) unstable; urgency=medium

  * New upstream version 6.1.2+~1.0.3

 -- Timo Röhling <roehling@debian.org>  Mon, 12 Jun 2023 17:02:40 +0200

## rstcheck 6.2.4+~1.2.1

=== debian/changelog ===
rstcheck (6.2.4+~1.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Handle Python 3.12 syntax warning on 'is' with str literals (closes:
      #1061841).

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 Aug 2024 23:04:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,9 @@
  pybuild-plugin-pyproject,
  python3,
  python3-docutils,
- python3-poetry-core,
- python3-pydantic,
+ python3-pydantic (>= 2),
  python3-setuptools,
- python3-typer,
- python3-typeshed,
- python3-typing-extensions,
+ python3-typer (>= 0.12.0),
 Homepage: https://github.com/rstcheck
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

# pybuild helpfully overrides debian/tmp with debian/PACKAGE if PYBUILD_NAME is
# set. We do not want that; we just need to build two separate packages and let
# dh_install take care of the install locations.
export PYBUILD_DESTDIR = debian/tmp_i_mean_it

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_clean \
override_dh_auto_configure \
override_dh_auto_build \
override_dh_auto_install: override_%:
	PYBUILD_NAME=rstcheck-core $* --buildsystem=pybuild --sourcedirectory=core
	PYBUILD_NAME=rstcheck $* --buildsystem=pybuild --sourcedirectory=.

override_dh_install:
	dh_install --sourcedir=debian/tmp_i_mean_it

execute_before_dh_installman: debian/rstcheck.1
	true

%.1: %.1.in
	sed -e 's/@VERSION@/$(DEB_VERSION_UPSTREAM)/g' $< > $@

=== debian/tests/control ===
Tests: run-core-tests run-cli-tests
Depends: @, gcc, g++, python3-pytest, python3-pytest-mock
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,\
 uversionmangle=s/(a|b|rc|\.dev)/~$1/g \
 https://github.com/rstcheck/rstcheck/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=component=core,uversionmangle=s/(a|b|rc|\.dev)/~$1/g \
 https://github.com/rstcheck/rstcheck-core/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ group
